Bug 210306 - server hangs with RPC sendmsg returned error 12
server hangs with RPC sendmsg returned error 12
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
http://www.nmt.edu/tcc
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-11 10:08 EDT by Michael Martinez
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:40:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sysrq output during rcp errors (70.90 KB, text/plain)
2006-10-17 11:38 EDT, Michael Martinez
no flags Details
kernel 2.4.21-40.ELsmp sysrq memdump (2.01 KB, text/plain)
2006-10-23 13:11 EDT, Michael Martinez
no flags Details

  None (edit)
Description Michael Martinez 2006-10-11 10:08:33 EDT
server hangs at random times approximately once a day with RPC: sendmsg 
returned error 12. Requires hard reset. 

We're running kernel-2.4.21-47.EL on AS 3 update 3. We set /proc/sys/vm/vm-
defragment to 100 but it did not alleviate the problem.

This server is an email server that is an NFS client.

Opening new ticket at request of Larry Woodman. There is a related closed bug 
report # 123226.

Thanks!

Michael Martinez
Comment 1 Michael Martinez 2006-10-12 15:33:17 EDT
An interesting side note: 

I tried out two new "defrag" kernels from Larry. In both cases, enabling sysrq 
and the server immediately proceeds to go from its normal operating load of 4 
to 150. At one point yesterday the load reached 450 before we disabled sysrq 
and rebooted!

I'd like to be able to get sysrq -m data to post but can't do it until the load 
issue is fixed.

Another thing I'd like to note: in the previous bug report, there seemed to be 
a trend of using Proliant servers among the users reporting the problem. We're 
using one too, so perhaps a Proliant / Xeon / Intel issue here?

Michael
Comment 2 Michael Martinez 2006-10-17 11:38:59 EDT
Created attachment 138691 [details]
sysrq output during rcp errors

sysrq output
Comment 3 Michael Martinez 2006-10-23 13:11:28 EDT
Created attachment 139147 [details]
kernel 2.4.21-40.ELsmp sysrq memdump

sysrq -m output during rpc 12 errors, running kernel 2.4.21-40.ELsmp.
Comment 4 Michael Martinez 2006-10-23 13:15:08 EDT
Larry,

We've got other sysrq output, not just mem, from this crash, if you need it.

Michael
Comment 5 Larry Woodman 2006-12-15 10:58:33 EST
Michael, what are the NFS mount options?  Specifically I'm looking for the MTU
size that RPC is using, that is the underlying cause of the memory allocation
failure.  The kernel/VM can only try to deal with defragmenting memory once it
has become highly fragmented.

Larry Woodman
Comment 6 RHEL Product and Program Management 2007-10-19 14:40:46 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.